Xeonr Developer Docs
API SpecificationUploads

Request signed upload

POST
/uplim.api.v1.BucketUploadsService/RequestSignedUpload

Requests a presigned upload URL using a signed upload intent token. Authorization is via the signed intent token, not OAuth scopes.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

signedIntentToken?string
filesizeBytes?integer
Formatint32
mimeType?string
extension?string
multipart?boolean
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/RequestSignedUpload" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "uploadId": "string",
  "direct": {
    "uploadUrl": "string",
    "uploadUrlPost": "string",
    "uploadValues": {
      "property1": "string",
      "property2": "string"
    }
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}